<% /*
    $Revision$
    $Id$

    File:           model_bez_actie_groep.inc

    Description:    model voor bez_actie_groep

    Context:

    Notes:
*/
%>
<%

function model_bez_actie_groep()
{
    this.records_name = "visitoractiongroups";
    this.record_name = "visitoractiongroup";
    this.table = "bez_actie_groep";
    this.primary = "bez_actie_groep_key";
    this.soft_delete = "bez_actie_groep_verwijder";
    this.autfunction = "WEB_BEZMGT";
    this.record_title = L("bez_actie_groep");
    this.records_title = L("bez_actie_groep_m");


    this.fields = {
        "id": {
            "dbs": "bez_actie_groep_key",
            "label": L("lcl_key"),
            "typ": "key",
            "required": true,
            "seq": "bez_s_bez_actie_groep_key"
        },
        "name": {
            "dbs": "bez_actie_groep_omschrijving",
            "label": L("bez_actie_groep_omschrijving"),
            "typ": "varchar",
            "required": true,
            "translate": true
        },
        "default": {
            "dbs": "bez_actie_groep_default",
            "label": L("bez_actie_groep_default"),
            "typ": "check0"
        }
    };


    this.REST_GET    = generic_REST_GET(this);
    this.REST_POST   = generic_REST_POST(this);
    this.REST_PUT    = generic_REST_PUT(this);
    this.REST_DELETE = generic_REST_DELETE(this, {});
}
%>